# -*- coding: iso-8859-15 -*-
# $Id: Install.py 2 2007-04-17 10:23:31Z gael.le-mignot $
## Install.py - Plone QuickInstaller method for product

#from Products.CMFCore.utils import getToolByName, SimpleItemWithProperties

from Products.PDFNode.config import PROJECTNAME, product_globals
from Products.PDFNode.PDFNode import PDFNode
from Products.CMFCore.utils import getToolByName

from StringIO import StringIO

def install_tool(self, out, product_globals):
    """ Setup a tool in the Plone site."""

    # Add the tool if it does not already exist.
    bt = getToolByName(self, PDFNode.id, None)
    if bt is None:
        print >> out, "* Installing %s as %s\n" % (PDFNode.meta_type, PDFNode.id)
        portal = getToolByName(self, 'portal_url').getPortalObject()
        bt = PDFNode()
        portal._setObject(PDFNode.id, bt)

        # Restrict access to the tool to the Manager only.
        bt = getToolByName(self, PDFNode.id)
        bt.manage_permission('View', ['Manager'])


def install(self):
    out = StringIO()
    install_tool(self, out, product_globals)

    print >> out, ' done.\n'

    return out.getvalue()

def uninstall(self):
    out = StringIO()

    print >> out, ' done.\n'

    return out.getvalue()
