# -*- coding: utf-8 -*-

from Renderer import Renderer
from Products.PDFNode.utils import normalize

class TEXRenderer(Renderer):
    """
    TEX renderer class
    """
    mimetype = "text/x-tex"

    def tex(self):
        """
        Return the TeX code for including ourself if the file
        """
        return normalize(self.data, escape = False)
