# -*- coding: utf-8 -*-

from Renderer import Renderer
from Products.PDFNode.utils import normalize

class TextRenderer(Renderer):
    """
    Text renderer class
    """
    mimetype = "text/plain"

    def tex(self):
        """
        Return the TeX code for including ourself if the file
        """
        return normalize(self.data, escape = True)
