# -*- coding: utf-8 -*-

convmap = { "#": "\\#",
            "$": "\\$",
            "%": "\\%",
            "^": "\\^{}",
            "&": "\\&",
            "_": "\\_",
            "{": "\\{",
            "}": "\\}",
            "\\": "\\textbackslash" }

def escape_tex(data):
    """
    Escape text for TeX
    """
    if not data:
        return ""
    data = [ convmap.get(c, c) for c in data ]
    data = "".join(data)
    return data
    
def normalize(data, escape = False):
    """
    Noramlize data to UTF-8, maybe with escaping
    """
    if isinstance(data, unicode):
        data = data.encode("utf-8")
    if escape:
        data = escape_tex(data)
    return data
