# -*- coding: utf-8 -*-

class Renderer(object):
    """
    Abstract renderer class
    """
    mimetype = None
    def __init__(self, config, partname, data, context = None):
        """
        Constructor
        """
        self.partname = partname
        self.config = config
        self.data = data
        self.context = context

    def tex(self):
        """
        Return the TeX code for including ourself if the file
        """
        raise NotImplementedError

    
