# -*- coding: utf-8 -*-

from PDFRenderer import PDFRenderer
from TEXRenderer import TEXRenderer
from TextRenderer import TextRenderer
from HTMLRenderer import HTMLRenderer
from BlueDCSRenderer import BlueDCSRenderer

renderers = {}
renderers[PDFRenderer.mimetype] = PDFRenderer
renderers[TEXRenderer.mimetype] = TEXRenderer
renderers[TextRenderer.mimetype] = TextRenderer
renderers[HTMLRenderer.mimetype] = HTMLRenderer
for mt in BlueDCSRenderer.mimetype:
    renderers[mt] = BlueDCSRenderer

